Frescobaldi downloaden

Mac OS X

Voor Mac OS X zijn DMG disk images beschikbaar die een applicatiebundel bevatten die je in je Applicaties folder kunt slepen. 64 bit en 32 bit versies zijn beschikbaar (de "Frescobaldi-2.x.x-x86_64.dmg" en "Frescobaldi-2.x.x-i386.dmg" bestanden, respectievelijk). Daarnaast is het mogelijk om op Mac OS X Frescobaldi via Homebrew of MacPorts te installeren. Hier zijn instructies: English, français, italiano.

Welke installatiemethode u ook gebruikt, het is handig om ook te lezen hoe u de MIDI-weergave in Frescobaldi inschakelt (français, italiano).

Installeer ook een exemplaar van LilyPond.

Windows

Voor MS Windows is er een complete installer die Frescobaldi en alle benodigde modules installeert (het "Frescobaldi.Setup.2.x.x.exe" bestand). Het kan nodig zijn de Visual C++ 2008 runtime module van Microsoft te installeren.

En installeer natuurlijk een versie van LilyPond!

Linux

De meeste Linux-distributies hebben Frescobaldi in het pakketbeheer opgenomen. Op de Debian-gebaseerde distributies zoals Ubuntu volstaat een eenvoudig commando sudo apt-get install frescobaldi.

Mocht Frescobaldi niet voorhanden zijn dan kan het vrij eenvoudig van broncode geïnstalleerd worden, zie onder.

Van broncode installeren

U kunt Frescobaldi 2 downloaden van de GitHub project releases pagina.

Voor het installeren van broncode is er een installeerbare Python-module (het "frescobaldi-2.x.x.tar.gz" bestand). Deze kan op alle besturingssystemen worden gebruikt. Pak hem uit en lees het INSTALL bestand voor verdere informatie.

Frescobaldi heeft de Python-interpreter versie 2.7 nodig en de PyQt4-bibliotheek. Optioneel, maar sterk aanbevolen, zijn Python-Poppler-Qt4 voor de PDF-weergave, en Python-PortMidi voor de MIDI-weergave.

Installatievolgorde:

Voor Linux kunnen alle afhankelijkheden via de distributie of handmatig worden geïnstalleerd.

Op de Linkspagina kunt u verwijzingen vinden naar installeerbare pakketten van Frescobaldi voor specifieke besturingssystemen.

Frescobaldi 1:

U kunt de broncode voor Frescobaldi 1.x (de oude stabiele versie voor KDE4) van de GoogleCode project pagina's downloaden. Frescobaldi 1 werkt alleen op platformen waar KDE4 beschikbaar is. U hoeft niet de KDE Desktop Environment te gebruiken om Frescobaldi te kunnen starten; het is voldoende als de basisbibliotheken van KDE geïnstalleerd zijn.

English version | Laatst gewijzigd: 18 maart 2014